| OpenCV 4.3.0 Open Source Computer Vision

Classes | Enumerations | Functions
Rotation Estimation
Images stitching

## Classes
class | cv::detail::AffineBasedEstimator
| Affine transformation based estimator. More...
class | cv::detail::BundleAdjusterAffine
| Bundle adjuster that expects affine transformation represented in homogeneous coordinates in R for each camera param. Implements camera parameters refinement algorithm which minimizes sum of the reprojection error squares. More...
class | cv::detail::BundleAdjusterAffinePartial
| Bundle adjuster that expects affine transformation with 4 DOF represented in homogeneous coordinates in R for each camera param. Implements camera parameters refinement algorithm which minimizes sum of the reprojection error squares. More...
class | cv::detail::BundleAdjusterBase
| Base class for all camera parameters refinement methods. More...
class | cv::detail::BundleAdjusterRay
| Implementation of the camera parameters refinement algorithm which minimizes sum of the distances between the rays passing through the camera center and a feature. : More...
class | cv::detail::BundleAdjusterReproj
| Implementation of the camera parameters refinement algorithm which minimizes sum of the reprojection error squares. More...
class | cv::detail::Estimator
| Rotation estimator base class. More...
class | cv::detail::HomographyBasedEstimator
| Homography based rotation estimator. More...
class | cv::detail::NoBundleAdjuster
| Stub bundle adjuster that does nothing. More...

## Enumerations
enum | cv::detail::WaveCorrectKind { cv::detail::WAVE_CORRECT_HORIZ, cv::detail::WAVE_CORRECT_VERT }

## Functions
void | cv::detail::findMaxSpanningTree (int num_images, const std::vector< MatchesInfo > &pairwise_matches, Graph &span_tree, std::vector< int > &centers)
std::vector< int > | cv::detail::leaveBiggestComponent (std::vector< ImageFeatures > &features, std::vector< MatchesInfo > &pairwise_matches, float conf_threshold)
String | cv::detail::matchesGraphAsString (std::vector< String > &pathes, std::vector< MatchesInfo > &pairwise_matches, float conf_threshold)
void | cv::detail::waveCorrect (std::vector< Mat > &rmats, WaveCorrectKind kind)
| Tries to make panorama more horizontal (or vertical). More...

## Detailed Description

## Enumeration Type Documentation

## ◆ WaveCorrectKind

enum cv::detail::WaveCorrectKind

`#include <opencv2/stitching/detail/motion_estimators.hpp>`

Enumerator
WAVE_CORRECT_HORIZ Python: cv.detail.WAVE_CORRECT_HORIZ |
WAVE_CORRECT_VERT Python: cv.detail.WAVE_CORRECT_VERT |

## Function Documentation

## ◆ findMaxSpanningTree()

void cv::detail::findMaxSpanningTree | ( | int | num_images,
|  | const std::vector< MatchesInfo > & | pairwise_matches,
|  | Graph & | span_tree,
|  | std::vector< int > & | centers
| ) |  |

`#include <opencv2/stitching/detail/motion_estimators.hpp>`

## ◆ leaveBiggestComponent()

std::vector<int> cv::detail::leaveBiggestComponent | ( | std::vector< ImageFeatures > & | features,
|  | std::vector< MatchesInfo > & | pairwise_matches,
|  | float | conf_threshold
| ) |  |

Python:
| retval | = | cv.detail.leaveBiggestComponent( | features, pairwise_matches, conf_threshold | )

`#include <opencv2/stitching/detail/motion_estimators.hpp>`

Examples:
  samples/cpp/stitching_detailed.cpp.

## ◆ matchesGraphAsString()

String cv::detail::matchesGraphAsString | ( | std::vector< String > & | pathes,
|  | std::vector< MatchesInfo > & | pairwise_matches,
|  | float | conf_threshold
| ) |  |

Python:
| retval | = | cv.detail.matchesGraphAsString( | pathes, pairwise_matches, conf_threshold | )

`#include <opencv2/stitching/detail/motion_estimators.hpp>`

Examples:
  samples/cpp/stitching_detailed.cpp.

## ◆ waveCorrect()

void cv::detail::waveCorrect | ( | std::vector< Mat > & | rmats,
|  | WaveCorrectKind | kind
| ) |  |

Python:
| rmats | = | cv.detail.waveCorrect( | rmats, kind | )

`#include <opencv2/stitching/detail/motion_estimators.hpp>`

Tries to make panorama more horizontal (or vertical).

Parameters

  rmats | Camera rotation matrices.
  kind | Correction kind, see detail::WaveCorrectKind.

Examples:
  samples/cpp/stitching_detailed.cpp.